Bug 1140676 - Exception logged while inventorying EAP 6 host controller after setting http-interface
Summary: Exception logged while inventorying EAP 6 host controller after setting http-...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JBoss EAP 6
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ER04
: JON 3.3.0
Assignee: Thomas Segismont
QA Contact: Armine Hovsepyan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-11 13:30 UTC by Jan Bednarik
Modified: 2015-09-03 00:03 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-11 14:00:07 UTC
Type: Bug


Attachments (Terms of Use)
hc_dc_gui (178.41 KB, image/png)
2014-10-14 14:53 UTC, Armine Hovsepyan
no flags Details
agent.log (28.11 KB, text/plain)
2014-10-14 14:55 UTC, Armine Hovsepyan
no flags Details

Description Jan Bednarik 2014-09-11 13:30:37 UTC
Description of problem:
This BZ was found while verifying these BZs: BZ 1119240, BZ 1016678. In the environment with domain controller running on one machine and host controller running on another, if the host controller is started using default host-slave.xml file, it appears as down in JON web ui, as it does not have http-interface configured. The BZs above were fixed in a way that the user is clearly informed that http-interface should be enabled and the port should be specified in connection settings.

However, after enabling http-interface and setting the port, the host controller stays down and the following exception is logged in agent.log:

java.lang.Exception: Failed to read attribute [process-type] of address [] - response: Result{outcome='failed', failureDescription=JBAS015135: The security realm is not ready to process requests, see http://127.0.0.1:9990/error/index.html, rolledBack=true}
	at org.rhq.modules.plugins.jbossas7.BaseComponent.readAttribute(BaseComponent.java:894)
	at org.rhq.modules.plugins.jbossas7.BaseComponent.readAttribute(BaseComponent.java:878)
	at org.rhq.modules.plugins.jbossas7.BaseComponent.readAttribute(BaseComponent.java:870)
	at org.rhq.modules.plugins.jbossas7.HostControllerComponent.getProcessTypeAttrValue(HostControllerComponent.java:375)
	at org.rhq.modules.plugins.jbossas7.HostControllerComponent.start(HostControllerComponent.java:88)
	at sun.reflect.GeneratedMethodAccessor46.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:606)
	at org.rhq.core.pc.inventory.ResourceContainer$ComponentInvocation.call(ResourceContainer.java:759)
	at java.util.concurrent.FutureTask.run(FutureTask.java:262)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)
	at java.lang.Thread.run(Thread.java:744)

Version-Release number of selected component (if applicable):
Version:3.3.0.ER02
Build Number:4fbb183:7da54e2

How reproducible:
always

Steps to Reproduce:
1. Start EAP 6 DC using host-master.xml on one machine and EAP 6 HC using host-slave.xml on another machine.
2. Inventory both EAPs and notice that HC is unavailable.
3. Stop the HC.
4. Edit HC's host-slave.xml and add http-interface tag:
*********************************************
...
<management-interfaces>
    <native-interface security-realm="ManagementRealm">
        <socket interface="management" port="${jboss.management.native.port:9999}"/>
    </native-interface>
    <http-interface security-realm="ManagementRealm">
        <socket interface="management" port="${jboss.management.http.port:9990}"/>
    </http-interface> 
</management-interfaces>
...
*********************************************
5. In web UI edit HC's connection settings: Port = 9990
6. Start HC (using host-slave.xml)


Actual results:
HC stays down and the exception (see above) is logged in agent.log.


Expected results:
HC is up and no exception is logged.


Additional info:
See also BZ 1119240, BZ 1016678.

Comment 3 Thomas Segismont 2014-09-26 14:07:30 UTC
Fixed in master

commit 9c1d53de54065ac9240df9c5d526fef04b09419c
Author: Thomas Segismont <tsegismo@redhat.com>
Date:   Thu Sep 25 18:49:30 2014 +0200
    
    Throw IPCE when security realm is not ready so that a proper resource
    error shows up in the GUI.

Comment 4 Libor Zoubek 2014-09-26 14:36:35 UTC
branch:  release/jon3.3.x
link:    https://github.com/rhq-project/rhq/commit/1101df820
time:    2014-09-26 16:36:08 +0200
commit:  1101df820b973198d4026d7cfd8402ee9797540b
author:  Thomas Segismont - tsegismo@redhat.com
message: Bug 1140676 - Exception logged while inventorying EAP 6 host controller
         after setting http-interface
         Throw IPCE when security realm is not ready so that a proper
         resource error shows up in the GUI.
         (cherry picked from commit
         9c1d53de54065ac9240df9c5d526fef04b09419c) Signed-off-by: Libor
         Zoubek <lzoubek@redhat.com>

Comment 5 Simeon Pinder 2014-10-01 21:33:23 UTC
Moving to ON_QA as available for test with build:
https://brewweb.devel.redhat.com/buildinfo?buildID=388959

Comment 7 Armine Hovsepyan 2014-10-14 14:52:20 UTC
verified in JON 3.3 ER04
exception from logs dissapers as soon as management user is isntalled
screen-shot and agnet.log (after http interface config and management user instllation) attached

Comment 8 Armine Hovsepyan 2014-10-14 14:53:44 UTC
Created attachment 946949 [details]
hc_dc_gui

Comment 9 Armine Hovsepyan 2014-10-14 14:55:51 UTC
Created attachment 946951 [details]
agent.log


Note You need to log in before you can comment on or make changes to this bug.